--- old/usr/src/cmd/hwdata/pci.ids	Thu Sep  4 21:12:19 2014
+++ new/usr/src/cmd/hwdata/pci.ids	Thu Sep  4 21:12:19 2014
@@ -5787,112 +5890,712 @@
 1093  National Instruments
 	0160  PCI-DIO-96
 	0162  PCI-MIO-16XE-50
-	1150  PCI-DIO-32HS High Speed Digital I/O Board
+	1150  PCI-6533 (PCI-DIO-32HS)
 	1170  PCI-MIO-16XE-10
 	1180  PCI-MIO-16E-1
 	1190  PCI-MIO-16E-4
 	11b0  PXI-6070E
-	11c0  PXI-6040e
-	11d0  PXI-6030e
-	1270  PCI-6032e
+	11c0  PXI-6040E
+	11d0  PXI-6030E
+	1270  PCI-6032E
+	1290  PCI-6704
+	12b0  PCI-6534
 	1310  PCI-6602
+	1320  PXI-6533
 	1330  PCI-6031E
-	1340  PCI-6033e
+	1340  PCI-6033E
 	1350  PCI-6071E
 	1360  PXI-6602
+	13c0  PXI-6508
+	1490  PXI-6534
 	14e0  PCI-6110
 	14f0  PCI-6111
 	1580  PXI-6031E
 	15b0  PXI-6071E
 	1710  PXI-6509
+	17c0  PXI-5690
 	17d0  PCI-6503
 	1870  PCI-6713
 	1880  PCI-6711
 	18b0  PCI-6052E
 	18c0  PXI-6052E
+	1920  PXI-6704
+	1930  PCI-6040E
+	19c0  PCI-4472
+	1aa0  PXI-4110
+	1ad0  PCI-6133
+	1ae0  PXI-6133
+	1e30  PCI-6624
+	1e40  PXI-6624
+	1e50  PXI-5404
 	2410  PCI-6733
 	2420  PXI-6733
 	2430  PCI-6731
+	2470  PCI-4474
+	24a0  PCI-4065
+	24b0  PXI-4200
+	24f0  PXI-4472
+	2510  PCI-4472
+	2520  PCI-4474
+	27a0  PCI-6123
+	27b0  PXI-6123
 	2880  DAQCard-6601
 	2890  PCI-6036E
+	28a0  PXI-4461
+	28b0  PCI-6013
 	28c0  PCI-6014
 	28d0  PCI-5122
 	28e0  PXI-5122
+	29f0  PXI-7334
+	2a00  PXI-7344
 	2a60  PCI-6023E
 	2a70  PCI-6024E
 	2a80  PCI-6025E
-	2ab0  PXI-6025e
+	2ab0  PXI-6025E
+	2b10  PXI-6527
+	2b20  PCI-6527
 	2b80  PXI-6713
 	2b90  PXI-6711
 	2c60  PCI-6601
 	2c70  PXI-6601
 	2c80  PCI-6035E
+	2c90  PCI-6703
 	2ca0  PCI-6034E
+	2cb0  PCI-7344
 	2cc0  PXI-6608
+	2d20  PXI-5600
 	2db0  PCI-6608
-# Low-Cost, High-Current, 96 Ch, 5 V TTL/CMOS Digital I/O
+	2dc0  PCI-4070
+	2dd0  PXI-4070
+	2eb0  PXI-4472
+	2ec0  PXI-6115
+	2ed0  PCI-6115
+	2ee0  PXI-6120
+	2ef0  PCI-6120
+	2fd1  PCI-7334
+	2fd2  PCI-7350
+	2fd3  PCI-7342
+	2fd5  PXI-7350
+	2fd6  PXI-7342
+	7003  PCI-6551
+	7004  PXI-6551
+	700b  PXI-5421
+	700c  PCI-5421
+	7023  PXI-2593
+	702c  PXI-7831R
+	702d  PCI-7831R
+	702e  PXI-7811R
+	702f  PCI-7811R
+	7030  PCI-CAN (Series 2)
+	7031  PCI-CAN/2 (Series 2)
+	7032  PCI-CAN/LS (Series 2)
+	7033  PCI-CAN/LS2 (Series 2)
+	7034  PCI-CAN/DS (Series 2)
+	7035  PXI-8460 (Series 2, 1 port)
+	7036  PXI-8460 (Series 2, 2 ports)
+	7037  PXI-8461 (Series 2, 1 port)
+	7038  PXI-8461 (Series 2, 2 ports)
+	7039  PXI-8462 (Series 2)
+	703f  PXI-2566
+	7040  PXI-2567
+	7044  MXI-4 Connection Monitor
+	7047  PXI-6653
+	704c  PXI-2530
+	704f  PXI-4220
+	7050  PXI-4204
+	7055  PXI-7830R
+	7056  PCI-7830R
+	705a  PCI-CAN/XS (Series 2)
+	705b  PCI-CAN/XS2 (Series 2)
+	705c  PXI-8464 (Series 2, 1 port)
+	705d  PXI-8464 (Series 2, 2 ports)
+	705e  cRIO-9102
+	7060  PXI-5610
+	7064  PXI-1045 Trigger Routing Module
+	7065  PXI-6652
+	7066  PXI-6651
+	7067  PXI-2529
+	7068  PCI-CAN/SW (Series 2)
+	7069  PCI-CAN/SW2 (Series 2)
+	706a  PXI-8463 (Series 2, 1 port)
+	706b  PXI-8463 (Series 2, 2 ports)
+	7073  PCI-6723
+	7074  PXI-7833R
+	7075  PXI-6552
+	7076  PCI-6552
+	707c  PXI-1428
+	707e  PXI-4462
+	7080  PXI-8430/2 (RS-232) Interface
+	7081  PXI-8431/2 (RS-485) Interface
+	7083  PCI-7833R
 	7085  PCI-6509
-	70a9  PCI-6528 (Digital I/O at 60V)
+	7086  PXI-6528
+	7087  PCI-6515
+	7088  PCI-6514
+	708c  PXI-2568
+	708d  PXI-2569
+	70a9  PCI-6528
 	70aa  PCI-6229
 	70ab  PCI-6259
 	70ac  PCI-6289
+	70ad  PXI-6251
 	70ae  PXI-6220
 	70af  PCI-6221
 	70b0  PCI-6220
+	70b1  PXI-6229
+	70b2  PXI-6259
+	70b3  PXI-6289
 	70b4  PCI-6250
+	70b5  PXI-6221
 	70b6  PCI-6280
 	70b7  PCI-6254
-	70b8  PCI-6251 [M Series - High Speed Multifunction DAQ]
+	70b8  PCI-6251
+	70b9  PXI-6250
+	70ba  PXI-6254
+	70bb  PXI-6280
 	70bc  PCI-6284
 	70bd  PCI-6281
+	70be  PXI-6284
 	70bf  PXI-6281
 	70c0  PCI-6143
+	70c3  PCI-6511
+	70c4  PXI-7330
+	70c5  PXI-7340
+	70c6  PCI-7330
+	70c7  PCI-7340
+	70c8  PCI-6513
+	70c9  PXI-6515
+	70ca  PCI-1405
+	70cc  PCI-6512
+	70cd  PXI-6514
+	70ce  PXI-1405
+	70cf  PCIe-GPIB
+	70d0  PXI-2570
+	70d1  PXI-6513
+	70d2  PXI-6512
+	70d3  PXI-6511
+	70d4  PCI-6722
+	70d6  PXI-4072
+	70d7  PXI-6541
+	70d8  PXI-6542
+	70d9  PCI-6541
+	70da  PCI-6542
+	70db  PCI-8430/2 (RS-232) Interface
+	70dc  PCI-8431/2 (RS-485) Interface
+	70dd  PXI-8430/4 (RS-232) Interface
+	70de  PXI-8431/4 (RS-485) Interface
+	70df  PCI-8430/4 (RS-232) Interface
+	70e0  PCI-8431/4 (RS-485) Interface
+	70e1  PXI-2532
+	70e2  PXI-8430/8 (RS-232) Interface
+	70e3  PXI-8431/8 (RS-485) Interface
+	70e4  PCI-8430/8 (RS-232) Interface
+	70e5  PCI-8431/8 (RS-485) Interface
+	70e6  PXI-8430/16 (RS-232) Interface
+	70e7  PCI-8430/16 (RS-232) Interface
+	70e8  PXI-8432/2 (Isolated RS-232) Interface
+	70e9  PXI-8433/2 (Isolated RS-485) Interface
+	70ea  PCI-8432/2 (Isolated RS-232) Interface
+	70eb  PCI-8433/2 (Isolated RS-485) Interface
+	70ec  PXI-8432/4 (Isolated RS-232) Interface
+	70ed  PXI-8433/4 (Isolated RS-485) Interface
+	70ee  PCI-8432/4 (Isolated RS-232) Interface
+	70ef  PCI-8433/4 (Isolated RS-485) Interface
 	70f0  PXI-5922
 	70f1  PCI-5922
 	70f2  PCI-6224
+	70f3  PXI-6224
+	70f6  cRIO-9101
+	70f7  cRIO-9103
+	70f8  cRIO-9104
+	70ff  PXI-6723
+	7100  PXI-6722
+	7104  PCIx-1429
+	7105  PCIe-1429
+	710a  PXI-4071
+	710d  PXI-6143
+	710e  PCIe-GPIB
+	710f  PXI-5422
+	7110  PCI-5422
+	7111  PXI-5441
+	7119  PXI-6561
+	711a  PXI-6562
+	711b  PCI-6561
+	711c  PCI-6562
+	7120  PCI-7390
 	7121  PXI-5122EX
 	7122  PCI-5122EX
-	7144  PXI-5124 (12-bit 200 MS/s Digitizer)
+	7123  PXIe-5653
+	7124  PCI-6510
+	7125  PCI-6516
+	7126  PCI-6517
+	7127  PCI-6518
+	7128  PCI-6519
+	7137  PXI-2575
+	713c  PXI-2585
+	713d  PXI-2586
+	7142  PXI-4224
+	7144  PXI-5124
 	7145  PCI-5124
+	7146  PCI-6132
+	7147  PXI-6132
+	7148  PCI-6122
+	7149  PXI-6122
 	714c  PXI-5114
 	714d  PCI-5114
+	7150  PXI-2564
+	7152  PCI-5640R
+	7156  PXI-1044 Trigger Routing Module
+	715d  PCI-1426
+	7167  PXI-5412
+	7168  PCI-5412
+	716b  PCI-6230
 	716c  PCI-6225
-	717d  PCIE-6251
+	716d  PXI-6225
+	716f  PCI-4461
+	7170  PCI-4462
+	7171  PCI-6010
+	7174  PXI-8360
+	7177  PXI-6230
+	717d  PCIe-6251
 	717f  PCIe-6259
-	71bc  PCI-6221 (37pin)
-	71d0  PXI-6143
+	7187  PCI-1410
+	718b  PCI-6521
+	718c  PXI-6521
+	7191  PCI-6154
+	7193  PXI-7813R
+	7194  PCI-7813R
+	7195  PCI-8254R
+	7197  PXI-5402
+	7198  PCI-5402
+	719f  PCIe-6535
+	71a0  PCIe-6536
+	71a3  PXI-5650
+	71a4  PXI-5652
+	71a5  PXI-2594
+	71a7  PXI-2595
+	71a9  PXI-2596
+	71aa  PXI-2597
+	71ab  PXI-2598
+	71ac  PXI-2599
+	71ad  PCI-GPIB+
+	71ae  PCIe-1430
+	71b7  PXI-1056 Trigger Routing Module
+	71b8  PXI-1045 Trigger Routing Module
+	71b9  PXI-1044 Trigger Routing Module
+	71bb  PXI-2584
+	71bc  PCI-6221 (37-pin)
+	71bf  PCIe-1427
+	71c5  PCI-6520
+	71c6  PXI-2576
+	71c7  cRIO-9072
+	71dc  PCI-1588
+	71e0  PCI-6255
+	71e1  PXI-6255
+	71e2  PXI-5406
+	71e3  PCI-5406
+	71fc  PXI-4022
+	7209  PCI-6233
+	720a  PXI-6233
+	720b  PCI-6238
+	720c  PXI-6238
 	7260  PXI-5142
 	7261  PCI-5142
+	726d  PXI-5651
+	7273  PXI-4461
+	7274  PXI-4462
+	7279  PCI-6232
+	727a  PXI-6232
+	727b  PCI-6239
+	727c  PXI-6239
+	727e  SMBus Controller
+		1093 75ac  PXIe-8388
+		1093 75ad  PXIe-8389
+		1093 7650  PXIe-8381
+		1093 8360  PXIe-8360
+		1093 8370  PXIe-8370
+		1093 8375  PXIe-8375
+	7281  PCI-6236
+	7282  PXI-6236
+	7283  PXI-2554
+	7288  PXIe-5611
+	7293  PCIe-8255R
+	729d  cRIO-9074
+	72a4  PCIe-4065
+	72a7  PCIe-6537
 	72a8  PXI-5152
 	72a9  PCI-5152
 	72aa  PXI-5105
 	72ab  PCI-5105
+	72b8  PXI-6682
+	72d0  PXI-2545
+	72d1  PXI-2546
+	72d2  PXI-2547
+	72d3  PXI-2548
+	72d4  PXI-2549
+	72d5  PXI-2555
+	72d6  PXI-2556
+	72d7  PXI-2557
+	72d8  PXI-2558
+	72d9  PXI-2559
+	72e8  PXIe-6251
+	72e9  PXIe-6259
+	72ef  PXI-4498
+	72f0  PXI-4496
+	72fb  PXIe-6672
+	730e  PXI-4130
 	730f  PXI-5922EX
 	7310  PCI-5922EX
+	731c  PXI-2535
+	731d  PXI-2536
+	7322  PXIe-6124
+	7327  PXI-6529
+	7331  PXIe-5602
+	7332  PXIe-5601
 	7333  PXI-5900
+	7335  PXI-2533
+	7336  PXI-2534
+	7342  PXI-4461
 	7349  PXI-5154
 	734a  PCI-5154
+	7357  PXI-4065
+	7359  PXI-4495
+	7370  PXI-4461
+	7373  sbRIO-9601
+	7374  IOtech-9601
+	7375  sbRIO-9602
+	7378  sbRIO-9641
 	737d  PXI-5124EX
+	7384  PXI-7851R
+	7385  PXI-7852R
+	7386  PCIe-7851R
+	7387  PCIe-7852R
+	7390  PXI-7841R
+	7391  PXI-7842R
+	7392  PXI-7853R
+	7393  PCIe-7841R
+	7394  PCIe-7842R
+	7397  sbRIO-9611
+	7398  sbRIO-9612
+	7399  sbRIO-9631
+	739a  sbRIO-9632
+	739b  sbRIO-9642
+	73a1  PXIe-4498
+	73a2  PXIe-4496
+	73a5  PXIe-5641R
+	73a7  PXI-8250 Chassis Monitor Module
+	73a8  PXI-8511 CAN/LS
+	73a9  PXI-8511 CAN/LS
+	73aa  PXI-8512 CAN/HS
+	73ab  PXI-8512 CAN/HS
+	73ac  PXI-8513 CAN/XS
+	73ad  PXI-8513 CAN/XS
+	73af  PXI-8516 LIN
+	73b1  PXI-8517 FlexRay
+	73b2  PXI-8531 CANopen
+	73b3  PXI-8531 CANopen
+	73b4  PXI-8532 DeviceNet
+	73b5  PXI-8532 DeviceNet
+	73b6  PCI-8511 CAN/LS
+	73b7  PCI-8511 CAN/LS
+	73b8  PCI-8512 CAN/HS
+	73b9  PCI-8512 CAN/HS
+	73ba  PCI-8513 CAN/XS
+	73bb  PCI-8513 CAN/XS
+	73bd  PCI-8516 LIN
+	73bf  PCI-8517 FlexRay
+	73c0  PCI-8531 CANopen
+	73c1  PCI-8531 CANopen
+	73c2  PCI-8532 DeviceNet
+	73c3  PCI-8532 DeviceNet
+	73c5  PXIe-2527
+	73c6  PXIe-2529
+	73c8  PXIe-2530
+	73c9  PXIe-2532
+	73ca  PXIe-2569
+	73cb  PXIe-2575
+	73cc  PXIe-2593
+	73d5  PXI-7951R
+	73d6  PXI-7952R
+	73d7  PXI-7953R
+	73e1  PXI-7854R
+	73ec  PXI-7954R
+	73ed  cRIO-9073
 	73f0  PXI-5153
 	73f1  PCI-5153
+	73f4  PXI-2515
+	73f6  cRIO-9111
+	73f7  cRIO-9112
+	73f8  cRIO-9113
+	73f9  cRIO-9114
+	73fa  cRIO-9116
+	73fb  cRIO-9118
+	7404  PXI-4132
+	7405  PXIe-6674T
+	7406  PXIe-6674
+	740e  PCIe-8430/16 (RS-232) Interface
+	740f  PCIe-8430/8 (RS-232) Interface
+	7410  PCIe-8431/16 (RS-485) Interface
+	7411  PCIe-8431/8 (RS-485) Interface
+	7414  PCIe-GPIB+
+	741c  PXI-5691
+	741d  PXI-5695
+	743c  CSC-3059
+	7448  PXI-2510
+	7454  PXI-2512
+	7455  PXI-2514
+	7456  PXIe-2512
+	7457  PXIe-2514
+	745a  PXI-6682H
 	745e  PXI-5153EX
 	745f  PCI-5153EX
 	7460  PXI-5154EX
 	7461  PCI-5154EX
-	b001  IMAQ-PCI-1408
-	b011  IMAQ-PXI-1408
-	b021  IMAQ-PCI-1424
-	b031  IMAQ-PCI-1413
-	b041  IMAQ-PCI-1407
-	b051  IMAQ-PXI-1407
-	b061  IMAQ-PCI-1411
-	b071  IMAQ-PCI-1422
-	b081  IMAQ-PXI-1422
-	b091  IMAQ-PXI-1411
-	c4c4  PXIe-4353/5160
-		1093 76d0  PXIe-5160
+	746d  PXIe-5650
+	746e  PXIe-5651
+	746f  PXIe-5652
+	7472  PXI-2800
+	7495  PXIe-5603
+	7497  PXIe-5605
+	74ae  PXIe-2515
+	74b4  PXI-2531
+	74b5  PXIe-2531
+	74c1  PXIe-8430/16 (RS-232) Interface
+	74c2  PXIe-8430/8 (RS-232) Interface
+	74c3  PXIe-8431/16 (RS-485) Interface
+	74c4  PXIe-8431/8 (RS-485) Interface
+	74d5  PXIe-5630
+	74d9  PCIe-8432/2 (Isolated RS-232) Interface
+	74da  PCIe-8433/2 (Isolated RS-485) Interface
+	74db  PCIe-8432/4 (Isolated RS-232) Interface
+	74dc  PCIe-8433/4 (Isolated RS-485) Interface
+	74e8  NI 9148
+	7515  PCIe-8430/2 (RS-232) Interface
+	7516  PCIe-8430/4 (RS-232) Interface
+	7517  PCIe-8431/2 (RS-485) Interface
+	7518  PCIe-8431/4 (RS-485) Interface
+	751b  cRIO-9081
+	751c  cRIO-9082
+	7528  PXIe-4497
+	7529  PXIe-4499
+	752a  PXIe-4492
+	7539  NI 9157
+	753a  NI 9159
+	7598  PXI-2571
+	75a4  PXI-4131A
+	75b1  PCIe-7854R
+	75ba  PXI-2543
+	75bb  PXIe-2543
+	75e5  PXI-6683
+	75e6  PXI-6683H
+	75ef  PXIe-5632
+	761f  PXI-2540
+	7620  PXIe-2540
+	7621  PXI-2541
+	7622  PXIe-2541
+	7626  NI 9154
+	7627  NI 9155
+	7638  PXI-2720
+	7639  PXI-2722
+	763a  PXIe-2725
+	763b  PXIe-2727
+	763c  PXI-4465
+	764b  PXIe-2790
+	764c  PXI-2520
+	764d  PXI-2521
+	764e  PXI-2522
+	764f  PXI-2523
+	7654  PXI-2796
+	7655  PXI-2797
+	7656  PXI-2798
+	7657  PXI-2799
+	765d  PXI-2542
+	765e  PXIe-2542
+	765f  PXI-2544
+	7660  PXIe-2544
+	766d  PCIe-6535B
+	766e  PCIe-6536B
+	766f  PCIe-6537B
+	76a3  PXIe-6535B
+	76a4  PXIe-6536B
+	76a5  PXIe-6537B
+	9020  PXI-2501
+	9030  PXI-2503
+	9040  PXI-2527
+	9050  PXI-2565
+	9060  PXI-2590
+	9070  PXI-2591
+	9080  PXI-2580
+	9090  PCI-4021
+	90a0  PXI-4021
+	b001  PCI-1408
+	b011  PXI-1408
+	b021  PCI-1424
+	b022  PXI-1424
+	b031  PCI-1413
+	b041  PCI-1407
+	b051  PXI-1407
+	b061  PCI-1411
+	b071  PCI-1422
+	b081  PXI-1422
+	b091  PXI-1411
+	b0b1  PCI-1409
+	b0c1  PXI-1409
+	b0e1  PCI-1428
+	c4c4  PXIe/PCIe Device
+		1093 728a  PXIe-5421
+		1093 728b  PXIe-5442
+		1093 728d  PXIe-5451
+		1093 72a2  PXIe-5122
+		1093 72da  PXIe-5422
+		1093 72f7  PXIe-6535
+		1093 72f8  PXIe-6536
+		1093 72f9  PXIe-6537
+		1093 7326  PCIe-6509
+		1093 736c  PXIe-4140
+		1093 738b  PXIe-5622
+		1093 73c4  PXIe-5450
+		1093 73c7  PXIe-6545
+		1093 73d4  PXIe-6544
+		1093 7425  PCIe-6320
+		1093 7427  PCIe-6321
+		1093 7428  PXIe-6323
+		1093 7429  PCIe-6323
+		1093 742a  PXIe-6341
+		1093 742b  PCIe-6341
+		1093 742c  PXIe-6343
+		1093 742d  PCIe-6343
+		1093 742f  PCIe-6351
+		1093 7431  PCIe-6353
+		1093 7432  PXIe-6361
+		1093 7433  PCIe-6361
+		1093 7434  PXIe-6363
+		1093 7435  PCIe-6363
+		1093 7436  PXIe-6356
+		1093 7437  PXIe-6358
+		1093 7438  PXIe-6366
+		1093 7439  PXIe-6368
+		1093 7468  PXIe-5185
+		1093 7469  PXIe-5186
+		1093 7492  PXIe-4300
+		1093 7498  PXIe-6548
+		1093 7499  PXIe-6547
+		1093 74a8  PXIe-4330
+		1093 74a9  PXIe-4331
+		1093 74b1  PXIe-4154
+		1093 74b2  PXIe-4353
+		1093 74b6  PCIe-1433
+		1093 74cd  PXIe-5643R
+		1093 74d0  PXIe-7961R
+		1093 74dd  PXIe-6376
+		1093 74de  PXIe-6378
+		1093 74e2  PXIe-7962R
+		1093 74e3  PXIe-7965R
+		1093 74e5  PXIe-4844
+		1093 74f3  PCIe-5140
+		1093 753c  PXIe-1435
+		1093 7548  PXIe-5622 (25MHz DDC)
+		1093 754d  PCIe-5155
+		1093 7551  PXIe-6556
+		1093 7553  PCIe-1473R
+		1093 7570  PCIe-1474R
+		1093 7571  PXIe-1475R
+		1093 7572  PXIe-1476R
+		1093 75a2  PXIe-5693
+		1093 75a3  PXIe-5694
+		1093 75a5  PXIe-4141
+		1093 75ce  PXIe-7966R
+		1093 75cf  PXIe-4357
+		1093 75d2  PXIe-RevB-5643R
+		1093 75d3  PXIe-5644R
+		1093 75ee  PXIe-5645R
+		1093 7613  PXIe-6555
+		1093 7619  PXIe-5185
+		1093 761a  PXIe-5186
+		1093 7629  PXIe-4142
+		1093 762a  PXIe-4143
+		1093 762b  PXIe-4138
+		1093 762c  PXIe-4144
+		1093 762d  PXIe-4145
+		1093 7644  PXIe-4841
+		1093 7658  PXIe-5162 (4CH)
+		1093 76ab  PXIe-4322
+		1093 76ad  PXIe-4112
+		1093 76ae  PXIe-4113
+		1093 76b5  PXIe-7971R
+		1093 76b6  PXIe-7972R
+		1093 76b7  PXIe-7975R
+		1093 76c8  PXIe-6614
+		1093 76c9  PXIe-6612
+		1093 76cb  PXIe-5646R
+		1093 76cc  PXIe-5162 (2CH)
+		1093 76d0  PXIe-5160 (2CH)
+		1093 76d1  PXIe-5160 (4CH)
+		1093 76dc  PXIe-4610
+		1093 76fb  PCIe-1473R-LX110
+		1093 76fe  PXIe-5644R
+		1093 76ff  PXIe-5644R
+		1093 7700  PXIe-5644R
+		1093 7701  PXIe-5645R
+		1093 7702  PXIe-5645R
+		1093 7703  PXIe-5645R
+		1093 770c  PXIe-4139
+		1093 7711  PXIe-4464
+		1093 7716  PCIe-6612
+		1093 771e  PXIe-4339
+		1093 7735  cRIO-9033
+		1093 774b  cRIO-9031
+		1093 774d  cRIO-9034
+		1093 7755  cRIO-9030
+		1093 7777  PXIe-7976R
+		1093 7782  PXIe-5646R
+		1093 7783  PXIe-5646R
+		1093 7784  PXIe-5646R
+		1093 77a5  PXIe-6345
+		1093 77a6  PXIe-6355
+		1093 77a7  PXIe-6365
+		1093 77a8  PXIe-6375
+		1093 77b4  PXIe-7820R
+		1093 77b5  PXIe-7821R
+		1093 77b6  PXIe-7822R
+		1093 77b9  cRIO-9038
 	c801  PCI-GPIB
-	c831  PCI-GPIB bridge
+	c811  PCI-GPIB+
+	c821  PXI-GPIB
+	c831  PMC-GPIB
+	c840  PCI-GPIB
+	d130  PCI-232/2 Interface
+	d140  PCI-232/4 Interface
+	d150  PCI-232/8 Interface
+	d160  PCI-485/2 Interface
+	d170  PCI-485/4 Interface
+	d190  PXI-8422/2 (Isolated RS-232) Interface
+	d1a0  PXI-8422/4 (Isolated RS-232) Interface
+	d1b0  PXI-8423/2 (Isolated RS-485) Interface
+	d1c0  PXI-8423/4 (Isolated RS-485) Interface
+	d1d0  PXI-8420/2 (RS-232) Interface
+	d1e0  PXI-8420/4 (RS-232) Interface
+	d1f0  PXI-8420/8 (RS-232) Interface
+	d1f1  PXI-8420/16 (RS-232) Interface
+	d230  PXI-8421/2 (RS-485) Interface
+	d240  PXI-8421/4 (RS-485) Interface
+	d250  PCI-232/2 (Isolated) Interface
+	d260  PCI-485/2 (Isolated) Interface
+	d270  PCI-232/4 (Isolated) Interface
+	d280  PCI-485/4 (Isolated) Interface
+	d290  PCI-485/8 Interface
+	d2a0  PXI-8421/8 (RS-485) Interface
+	d2b0  PCI-232/16 Interface
+	e111  PCI-CAN
+	e131  PXI-8461 (1 port)
+	e141  PCI-CAN/LS
+	e151  PXI-8460 (1 port)
+	e211  PCI-CAN/2
+	e231  PXI-8461 (2 ports)
+	e241  PCI-CAN/LS2
+	e251  PXI-8460 (2 ports)
+	e261  PCI-CAN/DS
+	e271  PXI-8462
 1094  First International Computers [FIC]
 # nee CMD Technology Inc
 1095  Silicon Image, Inc.
@@ -5929,6 +6632,7 @@
 		1095 3512  SiI 3512 SATALink Controller
 		1095 6512  SiI 3512 SATARaid Controller
 	3531  SiI 3531 [SATALink/SATARaid] Serial ATA Controller
+		17c0 4083  Medion WIM 2210 Notebook PC [MD96850]
 1096  Alacron
 1097  Appian Technology
 1098  Quantum Designs (H.K.) Ltd
@@ -5976,6 +6680,38 @@
 		1852 1852  FlyVideo'98 - Video (with FM Tuner)
 		18ac d500  DViCO FusionHDTV5 Lite
 		270f fc00  Digitop DTT-1000
+# Vendor/ID appear to be randomly chosen
+		aa00 1460  Spectra8 CardA Input0
+# Vendor/ID appear to be randomly chosen
+		aa01 1461  Spectra8 CardA Input1
+# Vendor/ID appear to be randomly chosen
+		aa02 1462  Spectra8 CardA Input2
+# Vendor/ID appear to be randomly chosen
+		aa03 1463  Spectra8 CardA Input3
+# Vendor/ID appear to be randomly chosen
+		aa04 1464  Spectra8 CardB Input0
+# Vendor/ID appear to be randomly chosen
+		aa05 1465  Spectra8 CardB Input1
+# Vendor/ID appear to be randomly chosen
+		aa06 1466  Spectra8 CardB Input2
+# Vendor/ID appear to be randomly chosen
+		aa07 1467  Spectra8 CardB Input3
+# Vendor/ID appear to be randomly chosen
+		aa08 1468  Spectra8 CardC Input0
+# Vendor/ID appear to be randomly chosen
+		aa09 1469  Spectra8 CardC Input1
+# Vendor/ID appear to be randomly chosen
+		aa0a 146a  Spectra8 CardC Input2
+# Vendor/ID appear to be randomly chosen
+		aa0b 146b  Spectra8 CardC Input3
+# Vendor/ID appear to be randomly chosen
+		aa0c 146c  Spectra8 CardD Input0
+# Vendor/ID appear to be randomly chosen
+		aa0d 146d  Spectra8 CardD Input1
+# Vendor/ID appear to be randomly chosen
+		aa0e 146e  Spectra8 CardD Input2
+# Vendor/ID appear to be randomly chosen
+		aa0f 146f  Spectra8 CardD Input3
 		bd11 1200  PCTV pro (TV + FM stereo receiver)
 	036f  Bt879 Video Capture
 		127a 0044  Bt879 Video Capture NTSC
@@ -6117,6 +6853,8 @@
 	4002  TIO-CE PCI Express Port
 	8001  O2 1394
 	8002  G-net NT
+# PCIe x1 Low Profile
+	802b  REACT external interrupt controller
 10aa  ACC Microelectronics
 	0000  ACCM 2188
 	2051  2051 CPU bridge
@@ -6392,8 +7130,8 @@
 		10b6 0007  Presto PCI
 	0009  Smart 100/16/4 PCI-HS Ringnode
 		10b6 0009  Smart 100/16/4 PCI-HS Ringnode
-	000a  Smart 100/16/4 PCI Ringnode
-		10b6 000a  Smart 100/16/4 PCI Ringnode
+	000a  Token Ring 100/16/4 Ringnode/Ringrunner
+		10b6 000a  Token Ring 100/16/4 Ringnode/Ringrunner
 	000b  16/4 CardBus Adapter Mk2
 		10b6 0008  16/4 CardBus Adapter Mk2
 		10b6 000b  16/4 Cardbus Adapter Mk2
@@ -6403,6 +7141,8 @@
 	1001  Collage 155 ATM Server Adapter
 10b7  3Com Corporation
 	0001  3c985 1000BaseSX (SX/TX)
+# wrong ID?
+		9850 0001  3c985B-SX
 	0013  AR5212 802.11abg NIC (3CRDAG675)
 		10b7 2031  3CRDAG675 11a/b/g Wireless PCI Adapter
 	0910  3C910-A01
@@ -7088,8 +7828,7 @@
 	00c8  NV41M [GeForce Go 6800]
 	00c9  NV41M [GeForce Go 6800 Ultra]
 	00cc  NV41GLM [Quadro FX Go1400]
-	00cd  NV41GL [Quadro FX 3450/4000 SDI]
-		10de 029b  wx4300 Workstation
+	00cd  NV42GL [Quadro FX 3450/4000 SDI]
 	00ce  NV41GL [Quadro FX 1400]
 	00cf  NV41
 	00d0  nForce3 LPC Bridge
@@ -7693,7 +8432,7 @@
 	0365  MCP55 LPC Bridge
 	0366  MCP55 LPC Bridge
 	0367  MCP55 LPC Bridge
-	0368  MCP55 SMBus
+	0368  MCP55 SMBus Controller
 		1028 020c  PowerEdge M605 MCP55 SMBus
 		1028 0221  PowerEdge R805 MCP55 SMBus
 		147b 1c24  KN9 series mainboard
@@ -8094,6 +8833,8 @@
 	063f  G94 [GeForce 9600 GE]
 	0640  G96 [GeForce 9500 GT]
 	0641  G96 [GeForce 9400 GT]
+		1682 4009  PV-T94G-ZAFG
+	0642  G96 [D9M-10]
 	0643  G96 [GeForce 9500 GT]
 	0644  G96 [GeForce 9500 GS]
 	0645  G96 [GeForce 9500 GS]
@@ -8365,7 +9106,7 @@
 	086c  C79 [GeForce 9300 / nForce 730i]
 	086d  C79 [GeForce 9200]
 	086e  C79 [GeForce 9100M G]
-	086f  C79 [GeForce 9200M G]
+	086f  MCP79 [GeForce 8200M G]
 	0870  C79 [GeForce 9400M]
 	0871  C79 [GeForce 9200]
 	0872  C79 [GeForce G102M]
@@ -8673,6 +9414,7 @@
 	0e0c  GF114 HDMI Audio Controller
 	0e1a  GK110 HDMI Audio
 	0e1b  GK107 HDMI Audio Controller
+		103c 197b  ZBook 15
 		1043 8428  GTX650-DC-1GD5
 	0e22  GF104 [GeForce GTX 460]
 		1462 2322  N460GTX Cyclone 1GD5/OC
@@ -8684,11 +9426,13 @@
 	0e3b  GF104GLM [Quadro 4000M]
 	0f00  GF108 [GeForce GT 630]
 	0f01  GF108 [GeForce GT 620]
+	0f02  GF108 [GeForce GT 730]
 	0fc0  GK107 [GeForce GT 640 OEM]
 	0fc1  GK107 [GeForce GT 640]
 	0fc2  GK107 [GeForce GT 630 OEM]
 	0fc6  GK107 [GeForce GTX 650]
 		1043 8428  GTX650-DC-1GD5
+	0fc8  GK107 [GeForce GT 740]
 	0fcd  GK107M [GeForce GT 755M]
 	0fce  GK107M [GeForce GT 640M LE]
 	0fd1  GK107M [GeForce GT 650M]
@@ -8707,11 +9451,13 @@
 	0fd5  GK107M [GeForce GT 650M Mac Edition]
 	0fd8  GK107M [GeForce GT 640M Mac Edition]
 	0fd9  GK107M [GeForce GT 645M]
+	0fdb  GK107M
 	0fdf  GK107M [GeForce GT 740M]
 	0fe0  GK107M [GeForce GTX 660M Mac Edition]
 	0fe1  GK107M [GeForce GT 730M]
 	0fe2  GK107M [GeForce GT 745M]
 	0fe3  GK107M [GeForce GT 745M]
+		103c 2b16  GeForce GT 745A
 		17aa 3675  GeForce GT 745A
 	0fe4  GK107M [GeForce GT 750M]
 	0fe5  GK107 [GeForce K340 USM]
@@ -8724,8 +9470,10 @@
 	0fef  GK107GL [GRID K340]
 	0ff1  GK107 [NVS 1000]
 	0ff2  GK107GL [GRID K1]
+	0ff3  GK107GL [Quadro K420]
 	0ff5  GK107GL [GRID K1 Tesla USM]
 	0ff6  GK107GLM [Quadro K1100M]
+		103c 197b  ZBook 15
 # GRID K1 Quadro USM
 	0ff7  GK107GL [GRID K140Q vGPU]
 		10de 1037  GRID K140Q
@@ -8737,6 +9485,7 @@
 	0ffd  GK107 [NVS 510]
 	0ffe  GK107GL [Quadro K2000]
 	0fff  GK107GL [Quadro 410]
+	1001  GK110B [GeForce GTX TITAN Z]
 	1003  GK110 [GeForce GTX Titan LE]
 	1004  GK110 [GeForce GTX 780]
 		3842 0784  GK110B [GeForce GTX 780 SC w/ ACX Cooler]
@@ -8756,7 +9505,11 @@
 		3842 2794  GeForce GTX Titan SC Hydro Copper
 # 06G-P4-2795-KR
 		3842 2795  GeForce GTX Titan SC Hydro Copper Signature
+	1007  GK110 [GeForce GTX 780 Rev. 2]
+	1008  GK110 [GeForce GTX 780 Ti Rev. 2]
 	100a  GK110B [GeForce GTX 780 Ti]
+	100c  GK110B [GeForce GTX Titan Black]
+	101e  GK110GL [Tesla K20X]
 	101f  GK110GL [Tesla K20]
 	1020  GK110GL [Tesla K20X]
 	1021  GK110GL [Tesla K20Xm]
@@ -8767,7 +9520,11 @@
 	1027  GK110BGL [Tesla K40st]
 	1028  GK110GL [Tesla K20m]
 	1029  GK110BGL [Tesla K40s]
+	102a  GK110BGL [Tesla K40t]
+	102d  GK110BGL [Tesla K80]
+	102e  GK110BGL [Tesla K40d]
 	103a  GK110GL [Quadro K6000]
+	103c  GK110GL [Quadro K5200]
 	1040  GF119 [GeForce GT 520]
 	1042  GF119 [GeForce 510]
 	1048  GF119 [GeForce 605]
@@ -8776,6 +9533,8 @@
 # 1024MB with passive cooling (heatsink)
 		10b0 104a  Gainward GeForce GT 610
 	104b  GF119 [GeForce GT 625 OEM]
+	104c  GF119 [GeForce GT 705]
+	104d  GF119 [GeForce GT 710]
 	1050  GF119M [GeForce GT 520M]
 	1051  GF119M [GeForce GT 520MX]
 	1052  GF119M [GeForce GT 520M]
@@ -8789,6 +9548,12 @@
 		1043 10ac  GeForce GT 610M
 		1043 10bc  GeForce GT 610M
 		1043 1652  GeForce GT 610M
+		17aa 367a  GeForce 610M
+		17aa 3682  GeForce 800A
+		17aa 3687  GeForce 800A
+		17aa 3692  GeForce 705A
+		17aa 3695  GeForce 800A
+		17aa a117  GeForce 610M
 	1059  GF119M [GeForce 610M]
 	105a  GF119M [GeForce 610M]
 		1043 2111  GeForce GT 610M
@@ -8795,6 +9560,9 @@
 		1043 2112  GeForce GT 610M
 	105b  GF119M [GeForce 705M]
 		103c 2afb  GeForce 705A
+		17aa 309d  GeForce 705A
+		17aa 30b1  GeForce 800A
+		17aa 36a1  GeForce 800A
 	107c  GF119 [NVS 315]
 	107d  GF119 [NVS 310]
 	1080  GF110 [GeForce GTX 580]
@@ -8867,7 +9635,23 @@
 		1025 0823  GeForce GT 720M
 		1025 0830  GeForce GT 720M
 		1025 0837  GeForce GT 720M
+		1025 083e  GeForce 820M
 		1025 0841  GeForce 710M
+		1025 0854  GeForce 820M
+		1025 0855  GeForce 820M
+		1025 0856  GeForce 820M
+		1025 0857  GeForce 820M
+		1025 0858  GeForce 820M
+		1025 0868  GeForce 820M
+		1025 0869  GeForce 810M
+		1025 0873  GeForce 820M
+		1025 0878  GeForce 820M
+		1025 087b  GeForce 820M
+		1025 087c  GeForce 810M
+		1025 0881  GeForce 820M
+		1025 088a  GeForce 820M
+		1025 090f  GeForce 820M
+		1025 0921  GeForce 820M
 		1028 054d  GeForce GT 630M
 		1028 054e  GeForce GT 630M
 		1028 0554  GeForce GT 620M
@@ -8887,6 +9671,10 @@
 		1028 05e0  GeForce GT 720M
 		1028 05e8  GeForce GT 630M
 		1028 05f4  GeForce GT 720M
+		1028 064e  GeForce 820M
+		1028 0652  GeForce 820M
+		1028 0662  GeForce 820M
+		1028 068d  GeForce 820M
 		103c 18ef  GeForce GT 630M
 		103c 18f9  GeForce GT 630M
 		103c 18fb  GeForce GT 630M
@@ -8903,6 +9691,18 @@
 		1043 13fd  GeForce GT 720M
 		1043 14c7  GeForce GT 720M
 		1043 1507  GeForce GT 620M
+		1043 15ad  GeForce 820M
+		1043 15ed  GeForce 820M
+		1043 160d  GeForce 820M
+		1043 163d  GeForce 820M
+		1043 166d  GeForce 820M
+		1043 16cd  GeForce 820M
+		1043 16dd  GeForce 820M
+		1043 170d  GeForce 820M
+		1043 176d  GeForce 820M
+		1043 178d  GeForce 820M
+		1043 179d  GeForce 820M
+		1043 17dd  GeForce 820M
 		1043 2132  GeForce GT 620M
 		1043 2136  NVS 5200M
 		1043 21ba  GeForce GT 720M
@@ -8911,6 +9711,8 @@
 		1043 221a  GeForce GT 720M
 		1043 223a  GeForce GT 710M
 		1043 224a  GeForce GT 710M
+		1043 227a  GeForce 820M
+		1043 228a  GeForce 820M
 		1043 8595  GeForce GT 720M
 		1072 152d  GeForce GT 720M
 		10cf 17f5  GeForce GT 720M
@@ -8950,6 +9752,7 @@
 		144d c736  GeForce 710M
 		1462 10b8  GeForce GT 710M
 		1462 10e9  GeForce GT 720M
+		1462 1116  GeForce 820M
 		1462 aa33  GeForce 720M
 		1462 aaa2  GeForce GT 720M
 		1462 aaa3  GeForce 820M
@@ -8957,20 +9760,46 @@
 		152d 0926  GeForce 620M
 		152d 0982  GeForce GT 630M
 		152d 0983  GeForce GT 630M
+		152d 1005  GeForce GT 820M
 		152d 1012  GeForce 710M
+		152d 1019  GeForce 820M
 		152d 1030  GeForce GT 630M
 		152d 1055  GeForce 710M
 		152d 1067  GeForce GT 720M
 		152d 1072  GeForce GT 720M
+		152d 1086  GeForce 820M
 		17aa 2200  NVS 5200M
 		17aa 2213  GeForce GT 720M
 		17aa 2220  GeForce GT 720M
+		17aa 309c  GeForce GT 720A
+		17aa 30b4  GeForce 820A
 		17aa 3656  GeForce GT 620M
+		17aa 365a  GeForce 705M
+		17aa 365e  GeForce 800M
+		17aa 366c  GeForce 800M
+		17aa 3685  GeForce 800M
+		17aa 3686  GeForce 800M
+		17aa 3687  GeForce 705A
+		17aa 3696  GeForce 820A
+		17aa 369b  GeForce 820A
+		17aa 369c  GeForce 820A
+		17aa 369d  GeForce 820A
+		17aa 369e  GeForce 820A
 		17aa 3800  GeForce GT 720M
 		17aa 3801  GeForce GT 720M
 		17aa 3802  GeForce GT 720M
 		17aa 3803  GeForce GT 720M
 		17aa 3804  GeForce GT 720M
+		17aa 3806  GeForce GT 720M
+		17aa 3808  GeForce GT 720M
+		17aa 380d  GeForce 820M
+		17aa 380e  GeForce 820M
+		17aa 380f  GeForce 820M
+		17aa 3811  GeForce 820M
+		17aa 3812  GeForce 820M
+		17aa 3813  GeForce 820M
+		17aa 3816  GeForce 820M
+		17aa 3818  GeForce 820M
 		17aa 3901  GeForce 610M / GT 620M
 		17aa 3902  GeForce 710M
 		17aa 3903  GeForce 610M/710M
@@ -8996,8 +9825,13 @@
 		17aa 502d  GeForce 710M
 		17aa 502e  GeForce GT 720M
 		17aa 502f  GeForce GT 720M
+		17aa 5030  GeForce 705M
+		17aa 5031  GeForce 705M
+		17aa 5032  GeForce 820M
+		17aa 5033  GeForce 820M
 		17aa 503e  GeForce 710M
 		17aa 503f  GeForce 820M
+		17aa 5040  GeForce 820M
 		1854 0177  GeForce 710M
 		1854 0180  GeForce 710M
 		1854 0190  GeForce GT 720M
@@ -9006,6 +9840,7 @@
 		1b0a 20df  GeForce GT 620M
 		1b0a 2202  GeForce GT 720M
 	1180  GK104 [GeForce GTX 680]
+		1043 83f1  GTX680-DC2-2GD5
 		3842 3682  GeForce GTX 680 Mac Edition
 	1182  GK104 [GeForce GTX 760 Ti]
 	1183  GK104 [GeForce GTX 660 Ti]
@@ -9024,8 +9859,13 @@
 		10de 101d  GRID K200
 	118e  GK104 [GeForce GTX 760 OEM]
 	118f  GK104GL [Tesla K10]
+	1191  GK104 [GeForce GTX 760 Rev. 2]
 	1193  GK104 [GeForce GTX 760 Ti OEM]
+	1194  GK104GL [Tesla K8]
+	1195  GK104 [GeForce GTX 660 Rev. 2]
 	1198  GK104M [GeForce GTX 880M]
+	1199  GK104M [GeForce GTX 870M]
+	119a  GK104M [GeForce GTX 860M]
 	119d  GK104M [GeForce GTX 775M Mac Edition]
 	119e  GK104M [GeForce GTX 780M Mac Edition]
 	119f  GK104M [GeForce GTX 780M]
@@ -9040,6 +9880,7 @@
 		10de 101a  GRID K240Q
 		10de 101b  GRID K260Q
 	11b1  GK104GL [GRID K2 Tesla USM]
+	11b4  GK104GL [Quadro K4200]
 	11b6  GK104GLM [Quadro K3100M]
 	11b7  GK104GLM [Quadro K4100M]
 	11b8  GK104GLM [Quadro K5100M]
@@ -9067,6 +9908,7 @@
 	11e1  GK106M [GeForce GTX 765M]
 	11e2  GK106M [GeForce GTX 765M]
 	11e3  GK106M [GeForce GTX 760M]
+		17aa 3683  GeForce GTX 760A
 	11fa  GK106GL [Quadro K4000]
 	11fc  GK106GLM [Quadro K2100M]
 	1200  GF114 [GeForce GTX 560 Ti]
@@ -9114,8 +9956,11 @@
 		1462 10cc  GeForce GT 635M
 	1251  GF116M [GeForce GT 560M]
 	1280  GK208 [GeForce GT 635]
+	1281  GK208 [GeForce GT 710]
 	1282  GK208 [GeForce GT 640 Rev. 2]
 	1284  GK208 [GeForce GT 630 Rev. 2]
+	1286  GK208 [GeForce GT 720]
+	1287  GK208 [GeForce GT 730]
 	1290  GK208M [GeForce GT 730M]
 		103c 2afa  GeForce GT 730A
 		103c 2b04  GeForce GT 730A
@@ -9128,12 +9973,42 @@
 	1293  GK208M [GeForce GT 730M]
 	1294  GK208M [GeForce GT 740M]
 	1295  GK208M [GeForce 710M]
+		103c 2b0d  GeForce GT 710A
+		103c 2b0f  GeForce GT 710A
+		103c 2b11  GeForce GT 710A
+		103c 2b20  GeForce 810A
+		103c 2b21  GeForce GT 810A
+		103c 2b22  GeForce GT 810A
+	1296  GK208M [GeForce 825M]
 	1298  GK208M [GeForce GT 720M]
 	12a0  GK208
 	12b9  GK208GLM [Quadro K610M]
 	12ba  GK208GLM [Quadro K510M]
+	1340  GM108M [GeForce 830M]
+		103c 2b2b  GeForce 830A
+	1341  GM108M [GeForce 840M]
+		17aa 3697  GeForce 840A
+		17aa 3699  GeForce 840A
+		17aa 369c  GeForce 840A
+	1380  GM107 [GeForce GTX 750 Ti]
+	1381  GM107 [GeForce GTX 750]
+	1382  GM107 [GeForce GTX 745]
+	1389  GM107GL [GRID M3]
+	1390  GM107M [GeForce 845M]
+	1391  GM107M [GeForce GTX 850M]
+		17aa 3697  GeForce GTX 850A
+		17aa a125  GeForce GTX 850A
+	1392  GM107M [GeForce GTX 860M]
+	1393  GM107M [GeForce 840M]
+	13b3  GM107GLM [Quadro K2200M]
+	13ba  GM107GL [Quadro K2200]
+	13bb  GM107GL [Quadro K620]
+	13bd  GM107GL [Tesla M40]
 10df  Emulex Corporation
 	0720  OneConnect NIC (Skyhawk)
+		17aa 1056  ThinkServer OCm14102-UX-L AnyFabric
+		17aa 1057  ThinkServer OCm14104-UX-L AnyFabric
+		17aa 1059  ThinkServer OCm14104-UT-L AnyFabric
 	0722  OneConnect iSCSI Initiator (Skyhawk)
 	0723  OneConnect iSCSI Initiator + Target (Skyhawk)
 	0724  OneConnect FCoE Initiator (Skyhawk)
@@ -9148,6 +10023,8 @@
 	e200  Lancer-X: LightPulse Fibre Channel Host Adapter
 	e208  LightPulse 16Gb Fibre Channel Host Adapter (Lancer-VF)
 	e220  OneConnect NIC (Lancer)
+		17aa 1054  ThinkServer LPm16002B-M6-L AnyFabric
+		17aa 1055  ThinkServer LPm16004B-M8-L AnyFabric
 	e240  OneConnect iSCSI Initiator (Lancer)
 	e260  OneConnect FCoE Initiator (Lancer)
 	e268  OneConnect 10Gb FCoE Converged Network Adapter (Lancer-VF)
@@ -9271,13 +10148,17 @@
 	8111  Twist3 Frame Grabber
 10ec  Realtek Semiconductor Co., Ltd.
 	0139  RTL-8139/8139C/8139C+ Ethernet Controller
+	5208  RTS5208 PCI Express Card Reader
 	5209  RTS5209 PCI Express Card Reader
 	5227  RTS5227 PCI Express Card Reader
 		17aa 220e  ThinkPad T440p
+		17aa 2214  ThinkPad X240
 	5229  RTS5229 PCI Express Card Reader
 		1025 0813  Aspire R7-571
 		103c 194e  ProBook 455 G1 Notebook
-	5288  Barossa PCI Express Card Reader
+	5249  RTS5249 PCI Express Card Reader
+		103c 1909  ZBook 15
+	5288  RTS5288 PCI Express Card Reader
 	8029  RTL-8029(AS)
 		10b8 2011  EZ-Card (SMC1208)
 		10ec 8029  RTL-8029(AS)
